#
# spec file for package cuetools
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           cuetools
Version:        1.3.1
Release:        6.2
License:        GPL-1.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Productivity/Multimedia/Sound/Utilities
Summary:        Utilities to work with cue and TOC files
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  quilt
%if 0%{suse_version} > 1210
BuildRequires:  autoconf
BuildRequires:  automake
%endif
URL: http://developer.berlios.de/projects/cuetools/
Source: http://download.berlios.de/cuetools/%{name}-%{version}.tar.bz2
Patch0:	cuetools_1.3.1-2ubuntu1.diff.bz2
Patch1:	cuetools-1.3.1-mathmeaning.patch
Enhances: shntool
Recommends: flac

%description
Cuetools is a set of utilities for working with cue files and TOC files.
It includes programs for conversion between the formats, file renaming based
on cue/TOC information, and track breakpoint printing. 

%prep
%setup -q
%patch0 -p1
QUILT_SERIES=debian/patches/00list QUILT_PATCHES=debian/patches quilt push -a
%patch1

%build
autoreconf -fiv
%configure
make %{?_smp_flags}

%install
make install DESTDIR="%{buildroot}"
install -m 755 extras/cuetag.sh "%{buildroot}%{_bindir}/cuetag"

%files
%defattr(-,root,root)
%doc NEWS README TODO
%{_bindir}/cuebreakpoints
%{_bindir}/cueconvert
%{_bindir}/cueprint
%{_bindir}/cuetag
%doc %{_mandir}/man1/cuebreakpoints.1*
%doc %{_mandir}/man1/cueconvert.1*
%doc %{_mandir}/man1/cueprint.1*

%changelog
* Fri Aug 31 2012 nekolayer@yandex.ru
- fix build for openSUSE 12.2
  - fix license, spec update
* Sat May 19 2012 seife+obs@b1-systems.com
- add autoconf & friends buildrequires to fix Factory build
* Sun Apr 24 2011 toddrme2178@gmail.com
- Change group to Productivity/Multimedia/Sound/Utilities (for for RPMLINT warning)
- Added changelog file  (for for RPMLINT warning)
- Added a blank line at the end of the spec file  (for for RPMLINT warning)
